KTTIMEDMGR(1)

NAME
kttimedmgr - command line interface to manage the timed database

DESCRIPTION

The command `kttimedmgr' is a utility for test and debugging of the timed database and its applications. `path' specifies the path of a database file. `key' specifies the key of a record. `value' specifies the value of a record. `file' specifies the input/output file. `dir' specifies the input/output directory. `src' specifies other database files.

    kttimedmgr create [-otr] [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] path
        Creates a database file.
    kttimedmgr inform [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] [-st] path
        Prints status information.
    kttimedmgr set [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] [-add|-app|-rep|-inci|-incd] [-sx] [-xt num] path key value
        Stores a record.
    kttimedmgr remove [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] [-sx] path key
        Removes a record.
    kttimedmgr get [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] [-rm] [-sx] [-px] [-pt] [-pz] path key
        Prints the value of a record.
    kttimedmgr list [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] [-des] [-max num] [-rm] [-sx] [-pv] [-px] [-pt] path [key]
        Prints keys of all records, separated by line feeds.
    kttimedmgr clear [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] path
        Removes all records of a database.
    kttimedmgr import [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] [-sx] [-xt num] path [file]
        Imports records from a TSV file.
    kttimedmgr copy [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] path file
        Copies the whole database.
    kttimedmgr dump [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] path [file]
        Dumps records into a snapshot file.
    kttimedmgr load [-otr] [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] path [file]
        Loads records from a snapshot file.
    kttimedmgr vacuum [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] path
        Eliminates regions of expired records.
    kttimedmgr recover [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] [-ts num] path dir
        Recover the database with update log data.
    kttimedmgr merge [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] [-add|-app|-rep] path src...
        Merge records from other databases.
    kttimedmgr check [-onl|-otl|-onr] [-ulog str] [-ulim num] [-sid num] [-dbid num] path
        Checks consistency.
    kttimedmgr bgsinform file
        Prints status information of background snapshot files.

Options feature the following.

    -otr : opens the database with the truncation option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -ulog str : specifies the update log directory.
    -ulim num : specifies the limit size of each update log file.
    -sid num : specifies the server ID number.
    -dbid num : specifies the database ID number.
    -st : prints miscellaneous information.
    -add : performs adding operation.
    -app : performs appending operation.
    -rep : performs replacing operation.
    -inci : performs integer increment operation.
    -incd : performs real number increment operation.
    -sx : the input data is evaluated as a hexadecimal data string.
    -xt num : specifies the expiration time.
    -rm : removes the record.
    -px : the output data is converted into a hexadecimal data string.
    -pt : prints the expiration time also.
    -pz : does not append line feed at the end of the output.
    -des : visits records in descending order.
    -max num : specifies the maximum number of shown records.
    -pv : prints values of records also.
    -ts num : specifies the maximum time stamp of already read logs. "now" means the current time stamp.

This command returns 0 on success, another on failure.

SEE ALSO

kttimedtest(1)